Bug 146282 - typhoon module missing from boot media
typhoon module missing from boot media
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-26 12:59 EST by Paul W. Frields
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 14:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2005-01-26 12:59:13 EST
Description of problem:
Cannot perform an "out of the box" network install on machines with 3Com990FX
network adapters, which are supported by the "typhoon" module. I have a network
full of these machines, and unfortunately I have to install a different card,
such as a 3c59x-based card, to do an install. The typhoon-based card can be
replaced in the machine before first boot and then works as expected.

The typhoon module is missing from both the boot.iso and diskboot.img media
images that are built by anaconda. Is there a rationale that controls which
modules are included in these images? If so, does that rationale preclude the
typhoon module from inclusion on the standard boot media?

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Install FC3 to machine with typhoon-based network card.
Actual results:
Network card is not found and network based installation cannot proceed without
driver diskette or replacing card.

Expected results:
Card is supported fine by an *installed* FC3 system, and should be supported by
anaconda at installation time.

Additional info:
I know how to rebuild anaconda and FC3 for my network, but would love to not
have to do this for FC4.
Comment 1 Jeremy Katz 2005-01-28 15:22:15 EST
The module should be there.  Is it included in the kernel package?
Comment 2 Paul W. Frields 2005-01-28 18:07:05 EST
It is in the kernel package. It is not in the modules.cgz on the boot.iso image.
Proof positive:

[pfrields@localhost ~]$ sudo mount -ro loop boot.iso /mnt/
[pfrields@localhost isolinux]$ gzip -dc /mnt/isolinux/initrd.img > /tmp/initrd
[pfrields@localhost isolinux]$ sudo umount /mnt
[pfrields@localhost ~]$ sudo mount -ro loop /tmp/initrd /mnt
[pfrields@localhost ~]$ gzip -dc /mnt/modules/modules.cgz | cpio -it | grep typhoon
13909 blocks
[pfrields@localhost ~]$ 

I thought that in the mkimages-i386 script in anaconda there is a place where a
few extra network modules are called out for inclusion, but I'm not a Python
programmer and didn't take a lot of time to suss it out.
Comment 3 Matthew Miller 2006-07-10 16:43:00 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Paul W. Frields 2006-07-11 14:07:54 EDT
At least as of Rawhide today, typhoon is included on boot.iso.  Closing
WORKSFORME since I'm not sure when this was fixed.

Note You need to log in before you can comment on or make changes to this bug.